#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QMovie>

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

private:
        int n;

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void on_hotBtn_clicked();

    void on_coldBtn_clicked();

    void on_coldBtn_2_clicked();

    void on_setTitleIconBtn_clicked();

    void on_setImgBtn_clicked();

    void on_showImg_pressed();

    void on_showImg_released();

    void on_setImgBtn_pressed();

    void on_setImgBtn_released();

    void on_setbgBtn_clicked(bool checked);

    void on_setbgBtn_clicked();

private:
    Ui::Widget *ui;
    QMovie *marioGif;
};
#endif // WIDGET_H
